package com.supervision.chat.client;

import cn.hutool.core.util.ArrayUtil;
import org.checkerframework.checker.units.qual.C;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.client.RestClient;
import org.springframework.web.client.support.RestClientAdapter;
import org.springframework.web.service.invoker.HttpServiceProxyFactory;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.concurrent.CompletableFuture;

@Configuration
public class LangChainChatConfig {

    @Value("${langChain-chat.url}")
    private String LangChainChatClientUrl;


    @Bean
    public RestClient restClient() {
        return RestClient.builder().baseUrl(LangChainChatClientUrl).build();
    }
    @Bean
    public LangChainChatService langChainChatClient(RestClient restClient) {

        RestClientAdapter adapter = RestClientAdapter.create(restClient);
        HttpServiceProxyFactory factory = HttpServiceProxyFactory.builderFor(adapter).build();

        return factory.createClient(LangChainChatService.class);
    }


}
